Download it now!
Bug 96513 - LOKView can-zoom-out is always false
Summary: LOKView can-zoom-out is always false
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Pranav Kant
URL:
Whiteboard: target:5.2.0 target:5.1.0.2
Keywords:
Depends on:
Blocks:
 
Reported: 2015-12-15 16:27 UTC by Bastien Nocera
Modified: 2016-10-25 19:11 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Pranav Kant 2015-12-19 04:14:58 UTC
The properties doesn't do anything right now. LOK doesn't have any limits on zooming in and out, I think. Our test-bed program, gtktiledviewer has its own limits of [0.25,5.0].

Not sure if we should limit the zoom degree on the widget level, or should just remove the properties at all from the widget. I think [0.25,5.0] are sane defaults, and I would go with the widget limiting on these values, but would love input of other people on this one.
Comment 2 Bastien Nocera 2015-12-19 12:37:56 UTC
If there are no min/max levels of zoom, just remove those properties. Or mention that those are soft limits in the API documentation, and make them work.

At the very least, if you keep them, and don't want to make other changes, please make them be always true...
Comment 3 Pranav Kant 2015-12-19 16:33:08 UTC
I went ahead with adding a limit : [0.25, 5.0]

can-zoom-in, can-zoom-out should also work now along with getting a notification as soon as these property changes.

https://gerrit.libreoffice.org/#/c/20819/
Comment 4 Commit Notification 2016-01-11 11:36:51 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ba539fa91f9c3316107dcdf4a95718a49335d92e

tdf#96513: Limit LOKDocView's zoom in [0.25, 5.0]

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-01-12 21:19:24 UTC
Pranav Kant committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bd85600aa4a81fba19c98e0a1c2d5ccdcb8fb3fc&h=libreoffice-5-1

tdf#96513: Limit LOKDocView's zoom in [0.25, 5.0]

It will be available in 5.1.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.